// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package param_v1_0

import "gd_management_gateway/params/param_base"

type LogGenerateReportReq struct {
	param_base.BasicParam
	// Dates 手动统计的日报日期，以分号分隔，为空则默认为前一天
	Dates string `json:"dates" in:"query"`

	// ApiReport 是否统计api日报
	ApiReport bool `json:"api_report"  in:"query"`

	// ProviderReport 是否统计数据源日报
	ProviderReport bool  `json:"provider_report" in:"query"`
	BusinessReport bool  `json:"business_report" in:"query"`
	MerchantId     int64 `json:"merchant_id" in:"query"`
	ApiId          int64 `json:"api_id" in:"query"`
	ProviderApiId  int64 `json:"provider_api_id" in:"query"`
	// IsInsert 统计的数据是否插入日报表
	IsInsert bool `json:"is_insert" in:"query"`

	// OnlyMail 是否仅发送邮件
	OnlyMail bool `json:"only_mail" in:"query"`
	// OnlyReport 是否仅统计不发邮件
	OnlyReport bool `json:"only_report" in:"query"`

	FileName string `json:"file_name" in:"query"`

	ApiWeekStart string `json:"api_week_start" in:"query"`
	ProviderWeekStart string `json:"provider_week_start" in:"query"`
	BusinessWeekStart string `json:"business_week_start" in:"query"`
	ApiMonthStart string `json:"api_month_start" in:"query"`
	ProviderMonthStart string `json:"provider_month_start" in:"query"`
	BusinessMonthStart string `json:"business_month_start" in:"query"`
}

type LogGenerateReportResp struct {
	param_base.SimpleResp
}
