package param_v1_0

import (
	"gd_management_gateway/params/param_base"
	"gd_management_gateway/rpc_apis/gd_management"
)

type ManagementAddErrorReq struct {
	param_base.BasicParam
	Code string `json:"code" description:"" in:"query"`
	Msg  string `json:"msg" description:"" in:"query"`
}

type ManagementAddErrorResp struct {
	param_base.SimpleResp
	Data gd_management.ManagementAddErrorReply `json:"data"`
}

type ManagementDelErrorReq struct {
	param_base.BasicParam
	Id uint64 `json:"id" description:"" in:"query"`
}

type ManagementDelErrorResp struct {
	param_base.SimpleResp
}

type ManagementUpdateErrorReq struct {
	param_base.BasicParam
	Id   uint64 `json:"id" description:"" in:"query"`
	Code string `json:"code" description:"" in:"query"`
	Msg  string `json:"msg" description:"" in:"query"`
}

type ManagementUpdateErrorResp struct {
	param_base.SimpleResp
}

type ManagementGetErrorListReq struct {
	param_base.BasicParam
	PageNumber int  `json:"page_number" description:"" require:"false" in:"query"`
	IsAll      bool `json:"is_all" require:"false" in:"query"`
}

type ManagementGetErrorListResp struct {
	param_base.SimpleResp
	Data gd_management.ManagementGetErrorListReply `json:"data"`
}
