package param_v1_0

import (
	"gd_management_gateway/params/param_base"
	"gd_management_gateway/rpc_apis/gd_management"
)

type ManagementAddH5ApiReq struct {
	param_base.BasicParam
	Name   string `json:"h5_api_name" in:"query"`
	Router string `json:"h5_api_router" in:"query"`
	Host   string `json:"h5_api_host" in:"query"`
}

type ManagementAddH5ApiResp struct {
	param_base.SimpleResp
	H5ApiId int64 `json:"h5_api_id"`
}

type ManagementDelH5ApiReq struct {
	param_base.BasicParam
	H5ApiId int64 `json:"h5_api_id" in:"query"`
}

type ManagementDelH5ApiResp struct {
	param_base.SimpleResp
}

type ManagementUpdateH5ApiReq struct {
	param_base.BasicParam
	H5ApiId int64  `json:"h5_api_id" in:"query"`
	Name    string `json:"h5_api_name" in:"query"`
	Router  string `json:"h5_api_router" in:"query"`
	Host    string `json:"h5_api_host" in:"query"`
}

type ManagementUpdateH5ApiResp struct {
	param_base.SimpleResp
}

type ManagementSetH5ApiStateReq struct {
	param_base.BasicParam
	H5ApiId  int64 `json:"h5_api_id" in:"query"`
	IsEnable bool  `json:"is_enable" in:"query"`
}

type ManagementSetH5ApiStateResp struct {
	param_base.SimpleResp
}

type ManagementGetH5ApiListReq struct {
	param_base.BasicParam
	PageNumber int  `json:"page_number" description:"" in:"query"`
	IsAll      bool `json:"is_all" in:"query"`
}

type ManagementGetH5ApiListResp struct {
	param_base.SimpleResp
	Total      int                        `json:"total" description:""`
	PageNumber int                        `json:"page_number" description:""`
	PageSize   int                        `json:"page_size" description:""`
	H5ApiList  []gd_management.TGdH5Api `json:"h5_api_list"`
}

type H5ApiAddBaseApiData struct {
	H5ApiId    int64   `json:"h5_api_id" in:"query"`
	BaseApiIds []int64 `json:"base_api_ids" in:"query"`
}
type ManagementH5ApiAddBaseApiReq struct {
	param_base.BasicParam
	Data H5ApiAddBaseApiData `json:"data" in:"body"`
}

type ManagementH5ApiAddBaseApiResp struct {
	param_base.SimpleResp
}

type ManagementH5ApiGetBaseApiListReq struct {
	param_base.BasicParam
	H5ApiId int64 `json:"h5_api_id" require:"true"  in:"query"`
}

type ManagementH5ApiGetBaseApiListResp struct {
	param_base.SimpleResp
	BaseApiList []gd_management.H5ApiBaseApiItem `json:"base_api_list"`
}
