package param_v1_0

import (
	"gd_management_gateway/params/param_base"
	"gd_management_gateway/rpc_apis/gd_management"
)

type ManagementAddMerchantH5ServiceReq struct {
	param_base.BasicParam
	MerchantId int64  `json:"merchant_id" in:"query"`
	ComboId    int64  `json:"combo_id" in:"query"`
	ThemeColor string `json:"theme_color" in:"query"`
}

type ManagementAddMerchantH5ServiceResp struct {
	param_base.SimpleResp
	MerchantH5ServiceId int64 `json:"merchant_h5_service_id"`
}

type ManagementGetMerchantH5ServiceReq struct {
	param_base.BasicParam
	PageNumber int   `json:"page_number" in:"query"`
	IsAll      bool  `json:"is_all" in:"query"`
	MerchantId int64 `json:"merchant_id" in:"query"`
}

type ManagementGetMerchantH5ServiceResp struct {
	param_base.SimpleResp
	PageSize              int                                    `json:"page_size"`
	Total                 int                                    `json:"total"`
	PageNumber            int                                    `json:"page_number"`
	MerchantH5ServiceList []gd_management.MerchantH5ServiceItem `json:"merchant_h5_service_list"`
}

type ManagementGetMerchantH5ComboReq struct {
	param_base.BasicParam
	MerchantH5ServiceId int64 `json:"merchant_h5_service_id" in:"query"`
}

type ManagementGetMerchantH5ComboResp struct {
	param_base.SimpleResp
	DayCount  int `json:"day_count" description:"日调用量上限"`
	Count     int `json:"count" description:"总调用上限"`
	DayNumber int `json:"day_number" description:"剩余有效天数"`
	Type      int `json:"type" description:"1 按总次数， 2按天"`
}

type ManagementSetMerchantH5ComboReq struct {
	param_base.BasicParam
	MerchantH5ServiceId int64 `json:"merchant_h5_service_id" in:"query"`
	DayCount            int   `json:"day_count" description:"日调用量上限" in:"query"`
	Count               int   `json:"count" description:"总调用上限" in:"query"`
	DayNumber           int   `json:"day_number" description:"剩余有效天数" in:"query"`
}

type ManagementSetMerchantH5ComboResp struct {
	param_base.SimpleResp
}

type TGdH5ServiceOrder struct {
	Id               int64   `json:"h5_service_order"`
	OrderNo          string  `json:"order_no"`
	MerchantId       int64   `json:"merchant_id"`
	H5ServiceId      int64   `json:"h5_service_id"`
	H5ServiceComboId int64   `json:"h5_service_combo_id"`
	Status           int     `json:"status"`
	ThemeColor       string  `json:"theme_color"`
	CreateTime       string  `json:"create_time"`
	GoodPrice        float64 `json:"good_price"`
}
