package param_v1_0

import (
	"gd_management_gateway/params/param_base"
	"gd_management_gateway/rpc_apis/gd_management"
)

type ManagementAddOrderReq struct {
	param_base.BasicParam
	MerchantId     uint64 `json:"merchant_id" description:"" in:"query"`
	DataApiComboId uint64 `json:"combo_id" description:"" in:"query"`
}

type ManagementAddOrderResp struct {
	param_base.SimpleResp
	Data gd_management.ManagementAddOrderReply `json:"data"`
}

type ManagementPayOrderReq struct {
	param_base.BasicParam
	OrderNo string `json:"order_no" description:"" in:"query"`
	IsPass  int    `json:"is_pass" description:"" in:"query"`
}

type ManagementPayOrderResp struct {
	param_base.SimpleResp
}

type ManagementGetMerchantOrderListReq struct {
	param_base.BasicParam
	MerchantId  uint64 `json:"merchant_id" description:"" in:"query"`
	PageNumber  int    `json:"page_number" description:"" in:"query"`
	DataApiName string `json:"data_api_name" description:"数据api名" in:"query"`
	StatusCode  int    `json:"status_code" description:"订单状态" in:"query"`
	StartTime   string `json:"start_time" description:"下单开始时间" in:"query"`
	EndTime     string `json:"end_time" description:"下单结束时间" in:"query"`
}

type ManagementGetMerchantOrderListResp struct {
	param_base.SimpleResp
	Data gd_management.ManagementGetMerchantOrderListReply `json:"data"`
}

type ManagementSetMerchantOrderPriceReq struct {
	param_base.BasicParam
	OrderNo string  `json:"order_no" description:"" in:"query"`
	Price   float64 `json:"price" description:"" in:"query"`
}

type ManagementSetMerchantOrderPriceResp struct {
	param_base.SimpleResp
}

type TGdDataApiOrder struct {
	Id          int64   `json:"-"`
	OrderNo     string  `json:"order_no"`
	MerchantId  int64   `json:"merchant_id"`
	ComboId     int64   `json:"combo_id"`
	QueryTypeId int64   `json:"query_type_id"`
	GoodsPrice  float64 `json:"goods_price"`
	Status      int     `json:"status"`
	CreateTime  string  `json:"-"`
}
