// Copyright 2019 utimes.cc. All rights reserved.
// Use of this source code is governed by utimes.cc.

package gd_crontab

type LogGenerateReportReq struct {
	// Dates 手动统计的日报日期，以分号分隔，为空则默认为前一天
	Dates string `json:"dates"`

	// ApiReport 是否统计api日报
	ApiReport bool `json:"api_report"`

	// ProviderReport 是否统计数据源日报
	ProviderReport bool  `json:"provider_report"`
	BusinessReport bool  `json:"business_report"`
	MerchantId     int64 `json:"merchant_id"`
	ApiId          int64 `json:"api_id"`
	ProviderApiId  int64 `json:"provider_api_id"`
	// IsInsert 统计的数据是否插入日报表
	IsInsert bool `json:"is_insert"`

	// OnlyMail 是否仅发送邮件
	OnlyMail bool `json:"only_mail"`

	// OnlyReport 是否仅统计
	OnlyReport bool `json:"only_report"`

	// FileName 指定发送的文件
	FileName string `json:"file_name"`

	ApiWeekStart string `json:"api_week_start" in:"query"`
	ProviderWeekStart string `json:"provider_week_start" in:"query"`
	BusinessWeekStart string `json:"business_week_start" in:"query"`
	ApiMonthStart string `json:"api_month_start" in:"query"`
	ProviderMonthStart string `json:"provider_month_start" in:"query"`
	BusinessMonthStart string `json:"business_month_start" in:"query"`
}

type LogGenerateReportReply struct {
}
