package gd_management

type TGdH5Api struct {
	Id         int64  `json:"h5_api_id"`
	Name       string `json:"h5_api_name"`
	Router     string `json:"h5_api_router"`
	Host       string `json:"h5_api_host"`
	IsEnable   bool   `json:"is_enable"`
	UpdateTime string `json:"update_time"`
	CreateTime string `json:"create_time"`
}

type TGdH5BaseApiRelation struct {
	Id      int64
	H5ApiId int64 `json:"h5_api_id"`
	ApiId   int64 `json:"api_id"`
}

type ManagementAddH5ApiReq struct {
	Name   string `json:"h5_api_name"`
	Router string `json:"h5_api_router"`
	Host   string `json:"h5_api_host"`
}

type ManagementAddH5ApiReply struct {
	H5ApiId int64 `json:"h5_api_id"`
}

type ManagementDelH5ApiReq struct {
	H5ApiId int64 `json:"h5_api_id"`
}

type ManagementDelH5ApiReply struct {
}

type ManagementUpdateH5ApiReq struct {
	H5ApiId int64  `json:"h5_api_id"`
	Name    string `json:"h5_api_name"`
	Router  string `json:"h5_api_router"`
	Host    string `json:"h5_api_host"`
}

type ManagementUpdateH5ApiReply struct {
}

type ManagementSetH5ApiStateReq struct {
	H5ApiId  int64 `json:"h5_api_id"`
	IsEnable bool  `json:"is_enable"`
}

type ManagementSetH5ApiStateReply struct {
}

type ManagementGetH5ApiListReq struct {
	PageNumber int  `json:"page_number" description:""`
	IsAll      bool `json:"is_all"`
}

type ManagementGetH5ApiListReply struct {
	Total      int         `json:"total" description:""`
	PageNumber int         `json:"page_number" description:""`
	PageSize   int         `json:"page_size" description:""`
	H5ApiList  []TGdH5Api `json:"h5_api_list"`
}

type ManagementH5ApiAddBaseApiReq struct {
	H5ApiId    int64   `json:"h5_api_id"`
	BaseApiIds []int64 `json:"base_api_ids"`
}

type ManagementH5ApiAddBaseApiReply struct {
}

type ManagementH5ApiGetBaseApiListReq struct {
	H5ApiId int64 `json:"h5_api_id"`
}

type H5ApiBaseApiItem struct {
	ApiId     string `json:"api_id"`
	ApiName   string `json:"api_name"`
	ApiRouter string `json:"router"`
}
type ManagementH5ApiGetBaseApiListReply struct {
	BaseApiList []H5ApiBaseApiItem `json:"base_api_list"`
}
