package gd_management

type ProviderPlatform struct {
	Id           int64  `json:"provider_id" description:"三方平台id"`
	PlatformName string `json:"platform_name" description:"平台名称"`
	Contact      string `json:"contact" description:"联系方式"`
	Email        string `json:"email" description:"邮件"`
	PlatformCode string `json:"platform_code" description:"平台代号"`
	Cost         string `json:"cost" description:"花销" orm:"-"`
	CreateTime   string `json:"create_time" description:""`
	UpdateTime   string `json:"update_time" description:""`
}

type ManagementAddProviderPlatformReq struct {
	PlatformName string `json:"platform_name" description:"平台名称"`
	Contact      string `json:"contact" description:"联系方式"`
	Email        string `json:"email" description:"邮件"`
	PlatformCode string `json:"platform_code" description:"平台代号"`
}

type ManagementAddProviderPlatformReply struct {
	ProviderId int64 `json:"provider_id" description:"三方平台id"`
}
type ManagementDelProviderPlatformReq struct {
	ProviderId int64 `json:"provider_id" description:"三方平台id"`
}
type ManagementDelProviderPlatformReply struct {
}
type ManagementUpdateProviderPlatformReq struct {
	ProviderId   int64  `json:"provider_id" description:"三方平台id"`
	PlatformName string `json:"platform_name" description:"平台名称"`
	Contact      string `json:"contact" description:"联系方式"`
	Email        string `json:"email" description:"邮件"`
	PlatformCode string `json:"platform_code" description:"平台代号"`
}

type ManagementUpdateProviderPlatformReply struct {
}

type ManagementGetProviderPlatformListReq struct {
	PageSize      int    `json:"page_size" description:"page大小"`
	PageNumber    int    `json:"page_number" description:""`
	Search        string `json:"search"`
	IsAll         bool   `json:"is_all"`
	ProviderApiId int64  `json:"provider_api_id"`
}

type ManagementGetProviderPlatformListReply struct {
	Total             int64              `json:"total" description:""`
	PageSize          int                `json:"page_size" description:"page大小"`
	PageNumber        int                `json:"page_number" description:""`
	ProviderPlatforms []ProviderPlatform `json:"provider_platforms"`
}

type ProviderBatchRequestReq struct {
	ApiId            int      `json:"api_id"`
	ApiName          string   `json:"api_name"`
	ThirdPartyHost   string   `json:"third_party_host"`
	ThirdPartyRouter string   `json:"third_party_router"`
	Param            []string `json:"param"`
	PlatformCode     string   `json:"platform_code"`
}

type ProviderBatchRequest struct {
	Param    string `json:"param"`
	Response string `json:"response"`
}

type ProviderBatchRequestReply struct {
	List []ProviderBatchRequest
}
