package gd_management

type TGdH5ServiceMerchant struct {
	Id          int64  `json:"merchant_h5_service_id"`
	MerchantId  int64  `json:"merchant_id"`
	H5ServiceId int64  `json:"h5_service_id"`
	Count       int    `json:"count"`
	ThemeColor  string `json:"theme_color"`
	StartTime   int64  `json:"start_time"`
	EndTime     int64  `json:"end_time"`
	State       int    `json:"state"`
	CreateTime  string `json:"create_time"`
}

type TGdH5ServiceOrder struct {
	Id               int64  `json:"h5_service_order"`
	MerchantId       int64  `json:"merchant_id"`
	H5ServiceComboId int64  `json:"h5_service_combo_id"`
	Status           int    `json:"status"`
	ThemeColor       string `json:"theme_color"`
	CreateTime       string `json:"create_time"`
}

type ManagementAddMerchantH5ServiceReq struct {
	MerchantId int64  `json:"merchant_id"`
	ComboId    int64  `json:"h5_combo_id"`
	ThemeColor string `json:"theme_color"`
}

type ManagementAddMerchantH5ServiceReply struct {
	MerchantH5ServiceId int64 `json:"merchant_h5_service_id"`
}

type ManagementGetMerchantH5ServiceReq struct {
	PageNumber int   `json:"page_number"`
	IsAll      bool  `json:"is_all"`
	MerchantId int64 `json:"merchant_id"`
}

type MerchantH5ServiceItem struct {
	MerchantH5ServiceId int64  `json:"merchant_h5_service_id"`
	H5ServiceId         int64  `json:"h5_service_id"`
	ComboType           int    `json:"combo_type" description:"套餐类型1 按总次数，2 按天"`
	TotalCount          int    `json:"total_count" description:""`
	RemainCount         int    `json:"remain_count" description:""`
	DayCount            int    `json:"day_count" description:""`
	DayRemainCount      int    `json:"day_remain_count" description:""`
	DayNumberCount      int    `json:"day_number_count" description:"天数上限"`
	DayNumberRemain     int    `json:"day_number_remain" description:"有效天数"`
	Status              string `json:"status" description:""`
	UseTime             string `json:"use_time" description:""`
	H5ServiceName       string `json:"h5_service_name"`
	State               string `json:"state"`
}
type ManagementGetMerchantH5ServiceReply struct {
	PageSize              int                     `json:"page_size"`
	Total                 int                     `json:"total"`
	PageNumber            int                     `json:"page_number"`
	MerchantH5ServiceList []MerchantH5ServiceItem `json:"merchant_h5_service_list"`
}

type ManagementGetMerchantH5ComboReq struct {
	MerchantH5ServiceId int64 `json:"merchant_h5_service_id"`
}

type ManagementGetMerchantH5ComboReply struct {
	DayCount  int `json:"day_count" description:"日调用量上限"`
	Count     int `json:"count" description:"总调用上限"`
	DayNumber int `json:"day_number" description:"剩余有效天数"`
	Type      int `json:"type" description:"1 按总次数， 2按天"`
}

type ManagementSetMerchantH5ComboReq struct {
	MerchantH5ServiceId int64 `json:"merchant_h5_service_id"`
	DayCount            int   `json:"day_count" description:"日调用量上限"`
	Count               int   `json:"count" description:"总调用上限"`
	DayNumber           int   `json:"day_number" description:"剩余有效天数"`
}

type ManagementSetMerchantH5ComboReply struct {
}
