package gd_management

type TGdDataApiCombo struct {
	Id                 uint64
	DataApiQueryTypeId uint64
	Count              int
	Price              float64
	Type               int
	TotalDay           int
	CreateTime         string
	IsFree             bool
	UpdateTime         string
}

type TGdDataApiOrder struct {
	Id             uint64
	MerchantId     uint64
	DataApiComboId uint64
	GoodsPrice     float64
	Status         int
	CreateTime     string
}

type TGdChildDataApi struct {
	Id                 uint64
	ApiId              uint64
	DataApiQueryTypeId uint64
	ProviderApis       string
	RequestParam       string
	ResponseParam      string
	CountType          byte
	CountCode          string
	ForceUpdate        bool
	IsCrypto           bool
	CreateTime         string
	UpdateTime         string
}

type ManagementAddOrderReq struct {
	MerchantId     uint64 `json:"merchant_id" description:""`
	QueryTypeId    int64  `json:"query_type_id"`
	DataApiComboId uint64 `json:"combo_id" description:""`
}

type ManagementAddOrderReply struct {
	OrderId uint64 `json:"order_id" description:""`
}

type ManagementPayOrderReq struct {
	OrderId uint64 `json:"order_id" description:""`
}
type ManagementPayOrderReply struct {
}

type ManagementGetMerchantOrderListReq struct {
	MerchantId  uint64 `json:"merchant_id" description:""`
	PageNumber  int    `json:"page_number" description:""`
	DataApiName string `json:"data_api_name" description:""`
	StatusCode  int    `json:"status_code" description:"订单状态"`
	StartTime   string `json:"start_time" description:"下单开始时间"`
	EndTime     string `json:"end_time" description:"下单结束时间"`
}

type MerchantOrderItem struct {
	OrderNo      string  `json:"order_no" description:""`
	OrderId      int64   `json:"order_id" description:""`
	DataApiName  string  `json:"data_api_name" description:""`
	Alias        string  `json:"alias"  description:""`
	QueryType    string  `json:"query_type" description:""`
	ComboDesc    string  `json:"combo_desc" description:"套餐描述"` // comboType 改为combodesc
	Price        float64 `json:"price" description:"订单价格"`
	Status       string  `json:"status" description:"订单状态"`
	AddOrderTime string  `json:"add_order_time" description:"下单时间"`
	StatusCode   int     `json:"status_code"`
	Count        int     `json:"count" description:"订单购买数量"`
	ComboType    int     `json:"combo_type"  description:"套餐类型0免费，1按次 2按天"` // type 改为combotype
	BuyAccount   string  `json:"buy_account"`
	PayType      int     `json:"pay_type"`
	MerchantName string  `json:"merchant_name"`
}

type ManagementGetMerchantOrderListReply struct {
	Total                 int                 `json:"total" description:""`
	PageSize              int                 `json:"page_size" description:""`
	PageNumber            int                 `json:"page_number" description:""`
	MerchantOrderItemList []MerchantOrderItem `json:"merchant_order_item_list"`
}

type ManagementSetMerchantOrderPriceReq struct {
	OrderId uint64  `json:"order_id" description:""`
	Price   float64 `json:"price" description:""`
}

type ManagementSetMerchantOrderPriceReply struct {
}
