package gd_service

//获取年检周期和到期时间
type ServiceGetAnnualInspectionTimeReq struct {
	PlateNo   string `json:"plate_no" description:"车牌号码" required:"true" in:"query"`
	AppKey    string `json:"app_key" description:"appkey" required:"true" in:"query"`
	PlateType string `json:"plate_type" description:"车牌种类" required:"true" in:"query"`
}

type ServiceGetAnnualInspectionTimeReply struct {
	TimeRemain string `json:"time_remain" description:"年检到期剩余时间"`
	TimeDate   string `json:"time_date" description:"年检到期时间"`
	Rule       string `json:"rule" description:"年检规则"`
	TimeYear   string `json:"time_year" description:"第几年"`
}

//获取年检城市列表
type ServiceGetAnnualInspectionCityReq struct {
	//StrKey string `json:"str_key" description:"秘钥" required:"true" in:"query"`
	AppKey string `json:"app_key" description:"" required:"true" in:"query"`
}

type ServiceGetAnnualInspectionCityReply struct {
	CityNames []string `json:"city_name" description:"城市名"`
}

//根据城市获取年检机构
type ServiceGetAnnualInspectionStationReq struct {
	//StrKey   string `json:"str_key" description:"秘钥" required:"true" in:"query"`
	AppKey   string `json:"app_key" description:"" required:"true" in:"query"`
	CityName string `json:"city_name" description:"城市名" required:"true" in:"query"`
}

type ServiceGetAnnualInspectionStationData struct {
	CheckStationID      string `json:"check_station_id" description:"检测站主键"`
	CheckStationName    string `json:"check_station_name" description:"检测站名称"`
	CheckStationCity    string `json:"check_station_city" description:"监测站所属城市"`
	CheckStationArea    string `json:"check_station_area" description:"检测站所属区域"`
	CheckStationDesc    string `json:"check_station_desc" description:"监测站描述"`
	Appointment         string `json:"appointment" description:"车检所需证件"`
	CheckStationAddress string `json:"check_station_address" description:"检测站地址"`
	Longitude           string `json:"longitude" description:"经度"`
	Latitude            string `json:"latitude" description:"纬度"`
	CheckStationPhone   string `json:"check_station_phone" description:"检测站电话号码"`
}

type ServiceGetAnnualInspectionStationReply struct {
	Stations []ServiceGetAnnualInspectionStationData `json:"stations" description:"检测站列表"`
}
